%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Library to support Bi-directional scripts
Name:		fribidi
Version:	1.0.9
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://fribidi.org
Source:		https://github.com/fribidi/fribidi/releases/download/v%{version}/fribidi-%{version}.tar.xz
# Drop bundled gnulib
Patch0:        fribidi-drop-bundled-gnulib.patch
BuildRequires:	meson

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{libname}
Summary:	Library to support Bi-directional scripts
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{develname}
Summary:	Libraries and headers for development with %{name}
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package includes the libraries and header files for the %{name}
package.

Install this package if you want to develop or compile programs which
will use %{name}.

%prep
%setup -q
%apply_patches

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/fribidi

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog
* Wed Apr 08 2020 tex - 1.0.9-1pclos2020
- new version

* Thu Dec 19 2019 tex - 1.0.8-1pclos2020
- new version

* Sat Sep 28 2019 tex 1.0.7-1pclos2019
- new version: 1.0.7
- switch to meson build system
- drop bundled gnulib

